Bug 1359763 - Rust Compiler
Summary: Rust Compiler
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josh Stone
QA Contact:
URL:
Whiteboard: ChangeAcceptedF25, SelfContainedChange
Keywords:
Depends On: 1356907 cargo
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-25 12:19 UTC by Jan Kurik
Modified: 2016-11-22 13:59 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-22 13:59:12 UTC


Attachments (Terms of Use)

Description Jan Kurik 2016-07-25 12:19:06 UTC
This is a tracking bug for Change: Rust Compiler
For more details, see: https://fedoraproject.org//wiki/Changes/RustCompiler

Introduce packages for the Rust compiler and its Cargo build system.

Comment 1 Jan Kurik 2016-07-26 04:24:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Jan Kurik 2016-07-26 05:22:58 UTC
On 2016-July-26, we have reached Fedora 25 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-July-29 meeting.

Comment 3 Josh Stone 2016-07-26 17:40:55 UTC
The new packages are only testable in my copr right now:
https://copr.fedorainfracloud.org/coprs/jistone/rust/

Their review requests are marked as bugs this depends on:
rust: https://bugzilla.redhat.com/show_bug.cgi?id=1356907
cargo: https://bugzilla.redhat.com/show_bug.cgi?id=1357749

Additionally, I opened a ticket on FPC to get bootstrap exceptions:
https://fedorahosted.org/fpc/ticket/643

Comment 4 Josh Stone 2016-07-28 17:32:59 UTC
The rust review is complete, and ready to go in pkgdb.  It just needs the exception from FPC, but it appears their meeting today didn't have a quorum.

Igor just started the cargo review.

Comment 5 Josh Stone 2016-08-18 23:56:51 UTC
Rust is in f26, f25-updates-testing (requested stable), and f24-updates.

Cargo is still waiting for a package review.  Igor removed himself from this.  I've asked a few others if they can do it, and if that doesn't happen soon I'll offer a review-swap on the devel list.

FPC approved the bootstrap exceptions.

Comment 6 Josh Stone 2016-08-27 22:34:53 UTC
Both Rust and Cargo just got pushed to f25-updates!  Also, I already updated the next release on rawhide, and will probably push that to f25 and f24 as well.

Comment 7 Jan Kurik 2016-09-29 09:06:22 UTC
On 2016-Sep-27 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 25 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan


Note You need to log in before you can comment on or make changes to this bug.